.registration-page {
  max-width: 700px;
  width: 100%;
  background-color: #fff;
  padding: 25px 30px;
  margin: 25px auto;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);

  .title {
    display: inline-block;
    font-size: 25px;
    font-weight: 500;
    position: relative;

    &::before {
      content: "";
      position: absolute;
      left: 0;
      bottom: 0;
      height: 3px;
      width: 100%;
      border-radius: 5px;
      background: linear-gradient(135deg, #3bb77e, #5993b6);
    }
  }

  .content {
    form {
      .user-details {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        margin: 20px 0 12px 0;

        .input-box {
          margin-bottom: 15px;
          width: calc(50% - 20px);

          span.details {
            display: block;
            font-weight: 500;
            margin-bottom: 5px;
          }

          input {
            height: 45px;
            width: 100%;
            margin-bottom: 4px;
            outline: none;
            font-size: 16px;
            border-radius: 5px;
            padding-left: 15px;
            border: 1px solid #ccc;
            border-bottom-width: 2px;
            transition: border-color 0.3s ease;

            &:focus,
            &:valid {
              border-color: #49a698;
            }
          }
        }
      }

      .gender-details {
        .gender-title {
          font-size: 20px;
          font-weight: 500;
          margin-bottom: 10px;
        }

        .category {
          display: flex;
          justify-content: space-between;
          width: 80%;
          margin: 14px 0;
          gap: 10px;

          label {
            display: flex;
            align-items: center;
            cursor: pointer;
            position: relative;
            padding-left: 30px;


            .dot {
              height: 18px;
              width: 18px;
              border-radius: 50%;
              background: #d9d9d9;
              border: 5px solid transparent;
              position: absolute;
              left: 0;
              top: 50%;
              transform: translateY(-50%);
              transition: background 0.3s ease, border-color 0.3s ease;
            }

            input[type="radio"] {
              position: absolute;
              left: 0;
              opacity: 0;
              cursor: pointer;

              &:checked+.dot {
                background: #3bb77e;
                border-color: #d9d9d9;
              }
            }
          }
        }
      }


      .button {
        height: 45px;
        margin: 35px 0;

        button {
          height: 100%;
          width: 100%;
          border-radius: 5px;
          border: none;
          color: #fff;
          font-size: 18px;
          font-weight: 500;
          letter-spacing: 1px;
          cursor: pointer;
          transition: all 0.3s ease;
          background: linear-gradient(135deg, #3bb77e, #5993b6);
          display: flex;
          align-items: center;
          justify-content: center;

          &:hover {
            background: linear-gradient(-135deg, #3bb77e, #5993b6);
          }
        }
      }
    }
  }

  .registration-res-message {
    margin-top: 20px;
    text-align: center;
    color: #c83232;
  }
}

@media (max-width: 584px) {
  .registration-page {
    .content form .user-details .input-box {
      width: 100%;
    }

    .content form .category {
      width: 100%;
    }

    .content form .user-details {

      overflow-y: scroll;
    }

    .content form .user-details::-webkit-scrollbar {
      width: 5px;
    }
  }
}

@media (max-width: 459px) {
  .registration-page .content form .category {
    flex-direction: column;
  }
}

.error-message {
  color: red;
  font-size: 14px;
}